import 'package:dio/dio.dart';

import '../../../matule_query.dart';

class Client extends Repository {
  @override
  String get apiUrl => "https://api.matule.ru/api";

  AuthModel? _authModel;

  Options get options => Options(
    headers: (_authModel != null)
        ? {"Authorization": "Bearer ${_authModel!.token}"}
        : null,
  );
}
