import 'package:matule_query/matule_query.dart';

class BaseUseCase {
  final Function() startLoading;
  final Function() endLoading;
  final Function(Object?) onResponse;
  final Function(Exception) onError;
  final QueryHelper helper;

  BaseUseCase({
    required this.startLoading,
    required this.endLoading,
    required this.onResponse,
    required this.onError,
  }) : helper = QueryHelper(startLoading: startLoading, endLoading: endLoading);
}
