import 'dart:io';

import 'package:flutter_test/flutter_test.dart';
import "package:dio/dio.dart";
import 'package:matule_query/matule_query.dart';

String get testString => DateTime.now().millisecondsSinceEpoch.toString();

Options get options => Options(headers: {});

BaseUseCase useCase = BaseUseCase(
  startLoading: () {},
  endLoading: () {},
  onResponse: (Object? obj) {
    stdout.writeln(obj.toString());
    assert(true);
  },
  onError: (Exception e) {
    fail(e.toString());
  },
);

void main() {
  group("Query", () {
    test("Authorization", () async {});
  });
}
